We're updating the issue view to help you get more done. 

Add '--verbose' flag to fetch-crl in oasis-data-updater

Description

We distribute CAs via OASIS and update the CRLs periodically using oasis-data-updater and fetch-crl. Unfortunately, the errors aren't very useful for determining the causes of the failures:

1 2 3 4 Fetch-CRL reported the following errors: ERROR CRL verification failed for BYGCA/0 (BYGCA) ERROR CRL verification failed for CNIC/0 (CNIC) ERROR CRL verification failed for SDG-G2/0 (SDG-G2)

Glancing at the fetch-crl code, it looks like additional messages are dumped if we add the --verbose flag. Please look at the code to verify this and update oasis-ca-updater accordingly

Environment

None

Target metrics

None

Personnel

None

Freshdesk Tickets

None

Status

Assignee

Mat Selmeci

Reporter

Brian Lin

Priority

Major

Labels

None

Components

None

Fix versions

None

Epic Link

None

Sprint

None